# Class yii\authclient\signature\RsaSha1

Inheritance | yii\authclient\signature\RsaSha1 » yii\authclient\signature\RsaSha » yii\authclient\signature\BaseMethod » yii\base\BaseObject
Implements | yii\base\Configurable
Available since version | 2.0
Deprecated since version | RsaSha1 represents 'RSA-SHA1' signature method. Since 2.1.3 this class is deprecated, use [[RsaSha]] with `OPENSSL_ALGO_SHA1` algorithm instead.
Source Code | https://github.com/yiisoft/yii2-authclient/blob/master/signature/RsaSha1.php

See also yii\authclient\signature\RsaSha.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$algorithm | integer|string | Signature hash algorithm, e.g. `OPENSSL_ALGO_SHA1`, `OPENSSL_ALGO_SHA256` and so on. | yii\authclient\signature\RsaSha1
$name | string | Method name. | yii\authclient\signature\RsaSha1
$privateCertificate | string | Private key certificate content. | yii\authclient\signature\RsaSha
$privateCertificateFile | string | Path to the file, which holds private key certificate. | yii\authclient\signature\RsaSha
$publicCertificate | string | Public key certificate content. | yii\authclient\signature\RsaSha
$publicCertificateFile | string | Path to the file, which holds public key certificate. | yii\authclient\signature\RsaSha

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$_privateCertificate | string | OpenSSL private key certificate content. | yii\authclient\signature\RsaSha
$_publicCertificate | string | OpenSSL public key certificate content. | yii\authclient\signature\RsaSha

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
generateSignature() | Generates OAuth request signature. | yii\authclient\signature\RsaSha
getName() | Return the canonical name of the Signature Method. | yii\authclient\signature\RsaSha1
getPrivateCertificate() |  | yii\authclient\signature\RsaSha
getPublicCertificate() |  | yii\authclient\signature\RsaSha
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\authclient\signature\RsaSha
setPrivateCertificate() |  | yii\authclient\signature\RsaSha
setPublicCertificate() |  | yii\authclient\signature\RsaSha
verify() | Verifies given OAuth request. | yii\authclient\signature\RsaSha

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
initPrivateCertificate() | Creates initial value for $privateCertificate. | yii\authclient\signature\RsaSha
initPublicCertificate() | Creates initial value for $publicCertificate. | yii\authclient\signature\RsaSha

## Property Details

$algorithm public property

Signature hash algorithm, e.g. `OPENSSL_ALGO_SHA1`, `OPENSSL_ALGO_SHA256` and so on.

public integer|string $algorithm = OPENSSL_ALGO_SHA1
$name public read-only property

Method name.

public string getName ( )

## Method Details

getName() public method

Return the canonical name of the Signature Method.

public string getName ( )
return | string | Method name.